## sciteproj 1.14

=== Makefile ===
#
#   Copyright (C) 2009-2019 Andreas Rönnquist
#   This file is distributed under the same license
#   as the sciteproj package, see COPYING file.
#

ifndef CC
	CC=gcc
endif
ifndef PKG_CONFIG
	PKG_CONFIG=pkg-config
endif
SRC=src
BIN=bin
GRPH=graphics
OBJ=obj

ifdef DEBUG
	STD_CFLAGS=-Wall -g3 -ggdb -D_DEBUG
else
	STD_CFLAGS=-Wall -Wformat -Wno-format-extra-args -Wformat-security -Wformat-nonliteral -Wformat=2 -Wdeprecated-declarations
endif

OBJECTS=$(OBJ)/about.o $(OBJ)/clipboard.o $(OBJ)/expand.o\
$(OBJ)/file_utils.o $(OBJ)/folder_config.o\
$(OBJ)/graphics.o $(OBJ)/gui.o $(OBJ)/gui_callbacks.o\
$(OBJ)/icon.o $(OBJ)/load_folder.o $(OBJ)/menus.o $(OBJ)/main.o $(OBJ)/prefs.o\
$(OBJ)/properties_dialog.o $(OBJ)/recent_files.o $(OBJ)/remove.o\
$(OBJ)/scite_utils.o $(OBJ)/script.o $(OBJ)/sort.o $(OBJ)/statusbar.o\
$(OBJ)/string_utils.o $(OBJ)/tree_manipulation.o

GRAPHICS_INCLUDES=$(GRPH)/dir-close.xpm \
$(GRPH)/dir-open.xpm \
$(GRPH)/sciteproj.xpm


ifndef PREFIX
	ifdef INSTALL_PREFIX
		PREFIX=$(INSTALL_PREFIX)
	else
		PREFIX=/usr/local
	endif
endif

NAME=sciteproj
PROG=${BIN}/${NAME}
DEPEND=Makefile.dep
DATADIR= ${DESTDIR}${PREFIX}/share
LOCALEDIR = ${DATADIR}/locale
VERSION=$(shell cat ./VERSION)

PKG_GTK=gtk+-3.0
CHECK_GTK3=1

LIB_CFLAGS=$(shell $(PKG_CONFIG) --cflags --silence-errors $(PKG_GTK) $(PKG_WNCK) lua5.3 || $(PKG_CONFIG) --cflags $(PKG_GTK) $(PKG_WNCK) lua)
STD_LDFLAGS=
LIBS=-lX11 $(shell $(PKG_CONFIG) --libs --silence-errors $(PKG_GTK) $(PKG_WNCK) lua5.3 || $(PKG_CONFIG) --libs $(PKG_GTK) $(PKG_WNCK) lua)

LOCAL_CFLAGS=$(STD_CFLAGS) $(DEPRECATED) $(CFLAGS) $(LIB_CFLAGS)
LOCAL_LDFLAGS=$(STD_CFLAGS) $(LDFLAGS) $(STD_LDFLAGS)

LOCAL_CPPFLAGS=$(CPPFLAGS)

LOCAL_CFLAGS+=-DGTK_DISABLE_SINGLE_INCLUDES
LOCAL_CFLAGS+=-DGSEAL_ENABLE

LOCAL_CFLAGS+=-DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED

LOCAL_CFLAGS+=-DLOCALEDIR=\"$(LOCALEDIR)\" -DPACKAGE=\"$(NAME)\" -DSCITEPROJ_VERSION=\"$(VERSION)\"

all: $(BIN)/$(NAME) sciteproj.1.gz
	${MAKE} -C po -j1 all

$(OBJ)/%.o: $(SRC)/%.c
	$(CC) $(LOCAL_CFLAGS) $(LOCAL_CPPFLAGS) -c $< -o $@

$(BIN)/$(NAME): $(OBJECTS)
	$(CC) $(LOCAL_CFLAGS) $(LOCAL_LDFLAGS) $(OBJECTS) -o $(PROG) $(LIBS)

sciteproj.1.gz: sciteproj.1
	gzip -k sciteproj.1

clean:
	rm -rf $(OBJECTS) $(PROG) $(DEPEND)
	rm -f sciteproj.1.gz
	${MAKE} -C po clean

install:
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 $(PROG) $(DESTDIR)$(PREFIX)/bin
	install -d $(DESTDIR)$(PREFIX)/share/pixmaps
	install -m 644 graphics/sciteproj.xpm $(DESTDIR)$(PREFIX)/share/pixmaps
	install -d $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 644 sciteproj.1.gz $(DESTDIR)$(PREFIX)/share/man/man1
	${MAKE} -C po install

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/$(PROG)
	rm -f $(DESTDIR)$(PREFIX)/share/pixmaps/sciteproj.xpm
	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/sciteproj.1.gz
	${MAKE} -C po uninstall

$(DEPEND):
	$(CC) $(LOCAL_CFLAGS) -MM $(SRC)/*.c | sed -e "s/\([A-Za-z0-9+-0._&+-]*:\)/\$(OBJ)\/\1/g" -e "s/obj\/C\:/\/C/g" > $(DEPEND)

-include $(DEPEND)

=== debian/changelog ===
sciteproj (1.14-1) unstable; urgency=medium

  * New upstream version 1.14
  * Update to Standards-Version 4.4.0 (No changes required)
  * Use debhelper-compat 12
  * Use minimal gpg key

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 23 Sep 2019 16:36:08 +0200

=== debian/control ===
Source: sciteproj
Section: editors
Priority: optional
Maintainer: Andreas Rönnquist <gusnan@debian.org>
Build-Depends: debhelper-compat (= 12),
               pkg-config,
               libgtk-3-dev,
               libglib2.0-dev,
               liblua5.3-dev,
               gettext
Standards-Version: 4.4.0
Homepage: https://www.nongnu.org/sciteproj
Vcs-Git: https://salsa.debian.org/debian/sciteproj.git
Vcs-Browser: https://salsa.debian.org/debian/sciteproj

Package: sciteproj
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, scite
Description: project manager for the SciTE editor
 Project manager for SciTE, used to group a bunch of files into a
 project for easy access in SciTE giving the possibility to group
 files in folders, using the director interface in SciTE to open them.

## sciteproj 1.17

=== po/Makefile ===
#
#   Copyright (C) 2009-2020 Andreas Rönnquist
#   This file is distributed under the same license
#   as the sciteproj package, see COPYING file.
#

ifndef PREFIX
	ifdef INSTALL_PREFIX
		PREFIX=$(INSTALL_PREFIX)
	else
		PREFIX=/usr/local
	endif
endif

NAME = sciteproj
VERSION = $(shell cat ../VERSION)
DATADIR = ${DESTDIR}${PREFIX}/share
LOCALEDIR = ${DATADIR}/locale

SOURCES = about.c clipboard.c file_utils.c expand.c\
folder_config.c graphics.c gui.c gui_callbacks.c load_folder.c\
main.c menus.c prefs.c properties_dialog.c recent_files.c remove.c\
scite_utils.c script.c sort.c statusbar.c string_utils.c tree_manipulation.c\
menus.h

XG_ARGS = --keyword=_ --keyword=N_ --keyword=NC_:1c,2 -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=andreas@ronnquist.net
LANGUAGES = sv

# 
LANGUAGES_MO = $(foreach currlang,$(LANGUAGES),$(currlang).mo)
LANGUAGES_PO = $(foreach currlang,$(LANGUAGES),$(currlang).po)

all: build

${NAME}.pot:
	xgettext ${XG_ARGS} --directory=../src/ ${SOURCES} -d ${NAME} -o ./${NAME}.pot

update-pot: ${NAME}.pot

%.pox: %.po
	msgmerge -o $@ --previous $< ${NAME}.pot

build: $(LANGUAGES_MO)
	
$(LANGUAGES_MO): $(LANGUAGES_PO)
	for po in ${LANGUAGES}; \
	do msgfmt -v --statistics -c -o t-$${po} $${po}.po && mv -f t-$${po} $${po}.mo; \
	done

update-po:
	for po in ${LANGUAGES}; \
	do msgmerge -o $${po}.po $${po}.po ${NAME}.pot; \
	done

install: all install-dirs
	for po in ${LANGUAGES}; \
	do install -m 0644 $${po}.mo ${LOCALEDIR}/$${po}/LC_MESSAGES/${NAME}.mo; \
	done

install-dirs:
	for po in ${LANGUAGES}; \
	do install -d ${LOCALEDIR}/$${po}/LC_MESSAGES; \
	done

uninstall:
	for po in ${LANGUAGES}; \
	do rm -f  ${LOCALEDIR}/$${po}/LC_MESSAGES/${NAME}.mo; \
	done

clean-build:
	rm -f *.mo

clean-pox:
	rm -f *.pox

clean: clean-build
	rm -f *~

.PHONY: all build install install-dirs uninstall clean clean-pox clean-build update-pot update-po

=== debian/changelog ===
sciteproj (1.17-1) unstable; urgency=medium

  * New upstream version 1.17

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 19 Oct 2020 12:01:27 +0200

sciteproj (1.16-1) unstable; urgency=medium

  * New upstream version 1.16
  * Remove d/sciteproj.manpages, not needed, only causes problems and
    tries to install both .1 and .1.gz which won't work.
  * Fix day-of-week for changelog entry 0.6.06-1.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright)
  * Set upstream metadata fields: Repository
  * Set field Upstream-Contact in debian/copyright

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 14 Sep 2020 13:51:23 +0200

sciteproj (1.15-1) unstable; urgency=medium

  * New upstream version 1.15
  * The manpage is gz-packed, mention in manpages file
  * Upgrade to debhelper compat 13
  * Upgrade to Standards Version 4.5.0 (No changes required)
  * Fix multiple definitions of manpage
  * Fix trailing whitespace at end of d/changelog
  * Add Rules-Requires-Root: no

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 14 Sep 2020 02:24:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: editors
 Priority: optional
 Maintainer: Andreas Rönnquist <gusnan@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                pkg-config,
                libgtk-3-dev,
                libglib2.0-dev,
                liblua5.3-dev,
                gettext
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://www.nongnu.org/sciteproj
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/sciteproj.git
 Vcs-Browser: https://salsa.debian.org/debian/sciteproj

## sciteproj 1.18

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#   Copyright (C) 2009-2019 Andreas Rönnquist
+#   Copyright (C) 2009-2021 Andreas Rönnquist
 #   This file is distributed under the same license
 #   as the sciteproj package, see COPYING file.
 #
@@ -24,10 +24,10 @@
 OBJECTS=$(OBJ)/about.o $(OBJ)/clipboard.o $(OBJ)/expand.o\
 $(OBJ)/file_utils.o $(OBJ)/folder_config.o\
 $(OBJ)/graphics.o $(OBJ)/gui.o $(OBJ)/gui_callbacks.o\
-$(OBJ)/icon.o $(OBJ)/load_folder.o $(OBJ)/menus.o $(OBJ)/main.o $(OBJ)/prefs.o\
-$(OBJ)/properties_dialog.o $(OBJ)/recent_files.o $(OBJ)/remove.o\
-$(OBJ)/scite_utils.o $(OBJ)/script.o $(OBJ)/sort.o $(OBJ)/statusbar.o\
-$(OBJ)/string_utils.o $(OBJ)/tree_manipulation.o
+$(OBJ)/icon.o $(OBJ)/load_folder.o $(OBJ)/launch_external.o $(OBJ)/menus.o \
+$(OBJ)/main.o $(OBJ)/prefs.o $(OBJ)/properties_dialog.o $(OBJ)/recent_files.o \
+$(OBJ)/remove.o $(OBJ)/scite_utils.o $(OBJ)/script.o $(OBJ)/sort.o\
+$(OBJ)/statusbar.o $(OBJ)/string_utils.o $(OBJ)/tree_manipulation.o
 
 GRAPHICS_INCLUDES=$(GRPH)/dir-close.xpm \
 $(GRPH)/dir-open.xpm \

=== debian/changelog ===
sciteproj (1.18-1) unstable; urgency=medium

  * New upstream version 1.18
  * Use watch file standard version 4
  * Use Standards Version 4.6.0.1 (No changes required)
  * Update copyright years

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 22 Dec 2021 16:33:48 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libglib2.0-dev,
                liblua5.3-dev,
                gettext
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Homepage: https://www.nongnu.org/sciteproj
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/sciteproj.git

## sciteproj 1.50-src

=== Makefile ===
--- 
+++ 
@@ -21,8 +21,8 @@
 	STD_CFLAGS=-Wall -Wformat -Wno-format-extra-args -Wformat-security -Wformat-nonliteral -Wformat=2 -Wdeprecated-declarations
 endif
 
-OBJECTS=$(OBJ)/about.o $(OBJ)/clipboard.o $(OBJ)/expand.o\
-$(OBJ)/file_utils.o $(OBJ)/folder_config.o\
+OBJECTS=$(OBJ)/about.o $(OBJ)/clipboard.o $(OBJ)/clicked_node.o \
+$(OBJ)/expand.o $(OBJ)/file_utils.o $(OBJ)/folder_config.o\
 $(OBJ)/graphics.o $(OBJ)/gui.o $(OBJ)/gui_callbacks.o\
 $(OBJ)/icon.o $(OBJ)/load_folder.o $(OBJ)/launch_external.o $(OBJ)/menus.o \
 $(OBJ)/main.o $(OBJ)/prefs.o $(OBJ)/properties_dialog.o $(OBJ)/recent_files.o \

=== po/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 DATADIR = ${DESTDIR}${PREFIX}/share
 LOCALEDIR = ${DATADIR}/locale
 
-SOURCES = about.c clipboard.c file_utils.c expand.c\
+SOURCES = about.c clipboard.c clicked_node.c file_utils.c expand.c\
 folder_config.c graphics.c gui.c gui_callbacks.c load_folder.c\
 main.c menus.c prefs.c properties_dialog.c recent_files.c remove.c\
 scite_utils.c script.c sort.c statusbar.c string_utils.c tree_manipulation.c\

## sciteproj 1.52-src

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#   Copyright (C) 2009-2021 Andreas Rönnquist
+#   Copyright (C) 2009-2023 Andreas Rönnquist
 #   This file is distributed under the same license
 #   as the sciteproj package, see COPYING file.
 #
@@ -24,15 +24,11 @@
 OBJECTS=$(OBJ)/about.o $(OBJ)/clipboard.o $(OBJ)/clicked_node.o \
 $(OBJ)/expand.o $(OBJ)/file_utils.o $(OBJ)/folder_config.o\
 $(OBJ)/graphics.o $(OBJ)/gui.o $(OBJ)/gui_callbacks.o\
-$(OBJ)/icon.o $(OBJ)/load_folder.o $(OBJ)/launch_external.o $(OBJ)/menus.o \
+$(OBJ)/load_folder.o $(OBJ)/launch_external.o $(OBJ)/menus.o \
 $(OBJ)/main.o $(OBJ)/prefs.o $(OBJ)/properties_dialog.o $(OBJ)/recent_files.o \
 $(OBJ)/remove.o $(OBJ)/scite_utils.o $(OBJ)/script.o $(OBJ)/sort.o\
-$(OBJ)/statusbar.o $(OBJ)/string_utils.o $(OBJ)/tree_manipulation.o
-
-GRAPHICS_INCLUDES=$(GRPH)/dir-close.xpm \
-$(GRPH)/dir-open.xpm \
-$(GRPH)/sciteproj.xpm
-
+$(OBJ)/statusbar.o $(OBJ)/string_utils.o $(OBJ)/tree_manipulation.o \
+src/icons/icons_resources.o
 
 ifndef PREFIX
 	ifdef INSTALL_PREFIX
@@ -71,6 +67,10 @@
 all: $(BIN)/$(NAME) sciteproj.1.gz
 	${MAKE} -C po -j1 all
 
+
+src/icons/icons_resources.o: src/icons/icons_resources.c src/icons/icons_resources.h
+	$(CC) $(LOCAL_CFLAGS) $(LOCAL_CPPFLAGS) -c $< -o $@
+
 $(OBJ)/%.o: $(SRC)/%.c
 	$(CC) $(LOCAL_CFLAGS) $(LOCAL_CPPFLAGS) -c $< -o $@
 
@@ -80,27 +80,33 @@
 sciteproj.1.gz: sciteproj.1
 	gzip -k sciteproj.1
 
+src/icons/icons_resources.c: ./src/icons/icons.gresource.xml
+	${MAKE} -C src/icons
+
 clean:
-	rm -rf $(OBJECTS) $(PROG) $(DEPEND)
+	rm -rf $(OBJECTS) $(PROG)
 	rm -f sciteproj.1.gz
 	${MAKE} -C po clean
+	${MAKE} -C src/icons clean
 
 install:
 	install -d $(DESTDIR)$(PREFIX)/bin
 	install -m 755 $(PROG) $(DESTDIR)$(PREFIX)/bin
 	install -d $(DESTDIR)$(PREFIX)/share/pixmaps
-	install -m 644 graphics/sciteproj.xpm $(DESTDIR)$(PREFIX)/share/pixmaps
 	install -d $(DESTDIR)$(PREFIX)/share/man/man1
 	install -m 644 sciteproj.1.gz $(DESTDIR)$(PREFIX)/share/man/man1
 	${MAKE} -C po install
 
 uninstall:
 	rm -f $(DESTDIR)$(PREFIX)/$(PROG)
-	rm -f $(DESTDIR)$(PREFIX)/share/pixmaps/sciteproj.xpm
 	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/sciteproj.1.gz
 	${MAKE} -C po uninstall
+	${MAKE} -C src/icons uninstall
 
-$(DEPEND):
-	$(CC) $(LOCAL_CFLAGS) -MM $(SRC)/*.c | sed -e "s/\([A-Za-z0-9+-0._&+-]*:\)/\$(OBJ)\/\1/g" -e "s/obj\/C\:/\/C/g" > $(DEPEND)
+cppcheck:
+	cppcheck --suppress=missingIncludeSystem --suppress=unmatchedSuppression:src/script.c -i src/icons/icons_resources.c --inline-suppr --enable=all ./src/
+
+$(DEPEND): src/icons/icons_resources.c
+	$(CC) $(LOCAL_CFLAGS) -MM $(SRC)/*.c src/icons/icons_resources.c | sed -e "s/\([A-Za-z0-9+-0._&+-]*:\)/\$(OBJ)\/\1/g" -e "s/obj\/C\:/\/C/g" > $(DEPEND)
 
 -include $(DEPEND)

## sciteproj 1.54-src

=== Makefile ===
--- 
+++ 
@@ -86,6 +86,7 @@
 clean:
 	rm -rf $(OBJECTS) $(PROG)
 	rm -f sciteproj.1.gz
+	rm -rf Makefile.dep
 	${MAKE} -C po clean
 	${MAKE} -C src/icons clean

## sciteproj 1.55-src

=== Makefile ===
--- 
+++ 
@@ -93,7 +93,6 @@
 install:
 	install -d $(DESTDIR)$(PREFIX)/bin
 	install -m 755 $(PROG) $(DESTDIR)$(PREFIX)/bin
-	install -d $(DESTDIR)$(PREFIX)/share/pixmaps
 	install -d $(DESTDIR)$(PREFIX)/share/man/man1
 	install -m 644 sciteproj.1.gz $(DESTDIR)$(PREFIX)/share/man/man1
 	${MAKE} -C po install

## sciteproj 1.60-src

=== Makefile ===
--- 
+++ 
@@ -26,9 +26,9 @@
 $(OBJ)/graphics.o $(OBJ)/gui.o $(OBJ)/gui_callbacks.o\
 $(OBJ)/load_folder.o $(OBJ)/launch_external.o $(OBJ)/menus.o \
 $(OBJ)/main.o $(OBJ)/prefs.o $(OBJ)/properties_dialog.o $(OBJ)/recent_files.o \
-$(OBJ)/remove.o $(OBJ)/scite_utils.o $(OBJ)/script.o $(OBJ)/sort.o\
-$(OBJ)/statusbar.o $(OBJ)/string_utils.o $(OBJ)/tree_manipulation.o \
-src/icons/icons_resources.o
+$(OBJ)/remove.o $(OBJ)/scite_utils.o $(OBJ)/script.o $(OBJ)/selection.o \
+$(OBJ)/sort.o $(OBJ)/statusbar.o $(OBJ)/string_utils.o \
+$(OBJ)/tree_manipulation.o src/icons/icons_resources.o
 
 ifndef PREFIX
 	ifdef INSTALL_PREFIX

=== po/Makefile ===
--- 
+++ 
@@ -20,8 +20,8 @@
 SOURCES = about.c clipboard.c clicked_node.c file_utils.c expand.c\
 folder_config.c graphics.c gui.c gui_callbacks.c load_folder.c\
 main.c menus.c prefs.c properties_dialog.c recent_files.c remove.c\
-scite_utils.c script.c sort.c statusbar.c string_utils.c tree_manipulation.c\
-menus.h
+scite_utils.c script.c selection.c sort.c statusbar.c string_utils.c \
+tree_manipulation.c menus.h
 
 XG_ARGS = --keyword=_ --keyword=N_ --keyword=NC_:1c,2 -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=andreas@ronnquist.net
 LANGUAGES = sv

## sciteproj 1.71

=== debian/changelog ===
sciteproj (1.71-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:58:13 +1100

sciteproj (1.71-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:55:36 +0000

sciteproj (1.71-1) unstable; urgency=medium

  * Upload to unstable

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 11 Jun 2023 20:45:39 +0200

sciteproj (1.71-1~exp1) experimental; urgency=medium

  * New upstream version 1.71

 -- Andreas Rönnquist <gusnan@debian.org>  Fri, 31 Mar 2023 02:07:02 +0200

sciteproj (1.60-1~exp1) experimental; urgency=medium

  * New upstream version 1.60
  * Remove out of date news item

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 22 Mar 2023 14:48:25 +0100

sciteproj (1.55-1~exp1) experimental; urgency=medium

  * New upstream version 1.55

 -- Andreas Rönnquist <gusnan@debian.org>  Mon, 06 Mar 2023 16:18:37 +0100

sciteproj (1.54-1~exp1) experimental; urgency=medium

  * New upstream version 1.54

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 05 Mar 2023 22:21:59 +0100

sciteproj (1.50-1~exp1) experimental; urgency=medium

  * New upstream version 1.50
  * Upgrade to Standards Version 4.6.2 (No changes required)
  * Update copyright years

 -- Andreas Rönnquist <gusnan@debian.org>  Thu, 02 Mar 2023 18:40:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: sciteproj
 Section: editors
 Priority: optional
-Maintainer: Andreas Rönnquist <gusnan@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andreas Rönnquist <gusnan@debian.org>
 Build-Depends: debhelper-compat (= 13),
                pkg-config,
                libgtk-3-dev,
                libglib2.0-dev,
                liblua5.3-dev,
                gettext
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://www.nongnu.org/sciteproj
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/sciteproj.git

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://download-mirror.savannah.gnu.org/releases/sciteproj/sciteproj_(.+)-src\.tar\.gz

## sciteproj 1.72

=== Makefile ===
--- 
+++ 
@@ -22,13 +22,13 @@
 endif
 
 OBJECTS=$(OBJ)/about.o $(OBJ)/clipboard.o $(OBJ)/clicked_node.o \
-$(OBJ)/expand.o $(OBJ)/file_utils.o $(OBJ)/folder_config.o\
-$(OBJ)/graphics.o $(OBJ)/gui.o $(OBJ)/gui_callbacks.o\
-$(OBJ)/load_folder.o $(OBJ)/launch_external.o $(OBJ)/menus.o \
-$(OBJ)/main.o $(OBJ)/prefs.o $(OBJ)/properties_dialog.o $(OBJ)/recent_files.o \
-$(OBJ)/remove.o $(OBJ)/scite_utils.o $(OBJ)/script.o $(OBJ)/selection.o \
-$(OBJ)/sort.o $(OBJ)/statusbar.o $(OBJ)/string_utils.o \
-$(OBJ)/tree_manipulation.o src/icons/icons_resources.o
+$(OBJ)/create_folder.o $(OBJ)/delete.o $(OBJ)/dialogs.o $(OBJ)/expand.o \
+$(OBJ)/file_utils.o $(OBJ)/graphics.o $(OBJ)/gui.o $(OBJ)/gui_callbacks.o \
+$(OBJ)/load_folder.o $(OBJ)/launch_external.o $(OBJ)/menus.o $(OBJ)/main.o \
+$(OBJ)/prefs.o $(OBJ)/properties_dialog.o $(OBJ)/recent_files.o $(OBJ)/remove.o \
+$(OBJ)/scite_utils.o $(OBJ)/script.o $(OBJ)/selection.o $(OBJ)/sort.o \
+$(OBJ)/statusbar.o $(OBJ)/string_utils.o $(OBJ)/tree_manipulation.o \
+src/icons/icons_resources.o
 
 ifndef PREFIX
 	ifdef INSTALL_PREFIX

=== po/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#   Copyright (C) 2009-2020 Andreas Rönnquist
+#   Copyright (C) 2009-2023 Andreas Rönnquist
 #   This file is distributed under the same license
 #   as the sciteproj package, see COPYING file.
 #
@@ -17,9 +17,9 @@
 DATADIR = ${DESTDIR}${PREFIX}/share
 LOCALEDIR = ${DATADIR}/locale
 
-SOURCES = about.c clipboard.c clicked_node.c file_utils.c expand.c\
-folder_config.c graphics.c gui.c gui_callbacks.c load_folder.c\
-main.c menus.c prefs.c properties_dialog.c recent_files.c remove.c\
+SOURCES = about.c clipboard.c clicked_node.c create_folder.c delete.c \
+dialogs.c file_utils.c expand.c graphics.c gui.c gui_callbacks.c load_folder.c \
+main.c menus.c prefs.c properties_dialog.c recent_files.c remove.c \
 scite_utils.c script.c selection.c sort.c statusbar.c string_utils.c \
 tree_manipulation.c menus.h
 
@@ -41,7 +41,7 @@
 	msgmerge -o $@ --previous $< ${NAME}.pot
 
 build: $(LANGUAGES_MO)
-	
+
 $(LANGUAGES_MO): $(LANGUAGES_PO)
 	for po in ${LANGUAGES}; \
 	do msgfmt -v --statistics -c -o t-$${po} $${po}.po && mv -f t-$${po} $${po}.mo; \

=== src/icons/Makefile ===
#
#   Copyright (C) 2009-2023 Andreas Rönnquist
#   This file is distributed under the same license
#   as the sciteproj package, see COPYING file.
#

ifndef PREFIX
	ifdef INSTALL_PREFIX
		PREFIX=$(INSTALL_PREFIX)
	else
		PREFIX=/usr/local
	endif
endif

NAME = sciteproj
VERSION = $(shell cat ../VERSION)
DATADIR = ${DESTDIR}${PREFIX}/share
LOCALEDIR = ${DATADIR}/locale

XG_ARGS = --keyword=_ --keyword=N_ --keyword=NC_:1c,2 -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=andreas@ronnquist.net
LANGUAGES = sv

all: build icon_resources_c icon_resources_h

build: icon_resources_c icon_resources_h

icon_resources_c: icons.gresource.xml
	glib-compile-resources --generate-source --target=icons_resources.c ./icons.gresource.xml

icon_resources_h: icons.gresource.xml
	glib-compile-resources --generate-header --target=icons_resources.h ./icons.gresource.xml

clean:
	rm -f icons_resources.c icons_resources.h

.PHONY: all build install install-dirs uninstall clean clean-pox clean-build update-pot update-po icon_resources_c icon_resources_h

=== debian/changelog ===
sciteproj (1.72-1) unstable; urgency=medium

  * New upstream version 1.72 - Fixes building with gcc-15
    (Closes: #1097856)
  * Fix signing key
  * Build depend on pkgconf instead of pkg-config
  * Upgrade to Standards Version 4.7.0 (No changes required)
  * Update copyright year for packaging and upstream

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 19 Feb 2025 16:22:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: sciteproj
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andreas Rönnquist <gusnan@debian.org>
+Maintainer: Andreas Rönnquist <gusnan@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               pkg-config,
+               pkgconf,
                libgtk-3-dev,
                libglib2.0-dev,
                liblua5.3-dev,
                gettext
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.nongnu.org/sciteproj
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/sciteproj.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

PACKAGE = $(shell dh_listpackages)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- PREFIX=/usr

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/$(PACKAGE) PREFIX=/usr install
